# This is a collection of greenbox properties. The default values are set
# here. They can be overridden with System.setProperty().
greenbox.debug=false
greenbox.debug.logname=greenbox.debug.log
greenbox.logname=greenbox.log
greenbox.port=1187
# Five minute timeout.
greenbox.timeout=0
greenbox.urn=urn:Alias:GreenBox
greenbox.application=/at:translator/at:application
greenbox.documentation=/at:translator/at:documentation/at:file
greenbox.documentation.location=xml/docs
greenbox.documentation.prefix=
greenbox.filetype.name=at:filetype/@name
greenbox.input=/at:translator/at:input/at:filetype/@name
greenbox.input.flag=/at:translator/at:input/at:argument/@flag
greenbox.output=/at:translator/at:output/at:filetype/@name
greenbox.output.flag=/at:translator/at:output/at:argument/@flag
greenbox.input.suffix=/at:translator/at:input/at:filetype/@suffix
greenbox.output.suffix=/at:translator/at:output/at:filetype/@suffix
greenbox.logfile.base.input=inputFileName
greenbox.logfile.base.output=outputFileName
greenbox.logfile.base=/at:translator/at:output/at:logfile/@base
greenbox.logfile.removeSuffix=/at:translator/at:output/at:logfile/@removeSuffix
greenbox.logfile.suffix=/at:translator/at:output/at:logfile/@suffix
greenbox.plugin=/at:translator/at:plugin
greenbox.translator.class=/at:translator/@class
greenbox.translator.id=/at:translator/@id
greenbox.translator.input=/at:translator/at:input
greenbox.translator.options=/at:translator/at:options
greenbox.translator.output=/at:translator/at:output
greenbox.translator.authorization=/at:translator/at:authorization/at:applications
greenbox.translator.platforms=/at:translator/at:authorization/at:platforms
greenbox.validity_check=true
greenbox.xml.location=xml
greenbox.xml.prefix=at
greenbox.xml.checksum=extra
greenbox.xsl=/at:translator/at:xsl
# 7 day lifetime for jobs. Excessive?
greenbox.lifespan=604800000
# 1 day nap time for the reaper. Use 0 for no reaping.
greenbox.naptime=86400000
greenbox.beta.port=63418

greenbox.input.filetype = /at:translator/at:input/at:filetype
greenbox.translator.label = /at:translator/at:label/at:text[@lang="%s"]
greenbox.input.criteria = /at:translator/at:input/at:criteria

# greenbox.threads defines how many concurrent requests the server will
# be expected to handle. Any more than this value will not be responded
# to until a thread is available. In general the default value is
# sufficient.
greenbox.threads=25

# greenbox.translation.threads defines how many concurrent translations
# can be performed by the server. This value is largely limited by how great
# a load you are willing to put on the server machine. This value should
# be roughly the same as the number of CPUs on the server machine, adjusted
# up or down to reflect the load that's acceptible. If the value is too
# large the server machine will grind to a halt. If the value is too low
# you can be waiting unnecessarily for translations to occur.
greenbox.translation.threads=2

# The TIMESTAMP is replaced by the ant build when the file is copied.
greenbox.cut = 200510030147

greenbox.docserver.root = docs/Documents/Maya6.0/en_US
greenbox.docserver.indexfile = _cache/index
